StatsHub Docs
APIAPI v2V2 endpoint referenceTeams

/teams

Inserts a team.

POST
/teams

Inserts a team.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

curl -X POST "https://example.com/teams" \  -H "Content-Type: application/json" \  -d '{    "categoryId": 0,    "countrySlug": "string",    "foundationdate": "string",    "gender": "string",    "id": 0,    "name": "string",    "national": true,    "shortname": "string",    "slug": "string",    "teamcolorsprimary": "string",    "teamcolorssecondary": "string",    "teamcolorstext": "string",    "tournamentId": 0,    "usercount": 0,    "venueId": 0  }'
{  "message": "string",  "team": {    "categoryId": 0,    "countrySlug": "string",    "foundationdate": "string",    "gender": "string",    "id": 0,    "internalId": 0,    "name": "string",    "national": true,    "shortname": "string",    "slug": "string",    "teamcolorsprimary": "string",    "teamcolorssecondary": "string",    "teamcolorstext": "string",    "tournamentId": 0,    "usercount": 0,    "venueId": 0  }}